@import "~sass/variables";
@import "~sass/media";
.mat-elevation-z8 {
  overflow-x: auto;
  margin-top:20px;;
}
.wallet{
  ::ng-deep .card{
    background-color: $secondary-color;
  }
}

.col-mob{
  @include for-size(phone-only){
    padding: 0;
  }
}
.mat-table{
  width: 100%;

}
.mat-row{
  height: 60px;
}

td.mat-cell:nth-child(1),
th.mat-header-cell:nth-child(1) {
    width: 20%;

    @include for-size(phone-only){
      width: 65% !important;
      font-size: 9px !important;
    }
}
td.mat-cell:nth-child(2),
th.mat-header-cell:nth-child(2) {
  width: 15%;
  @include for-size(phone-only){
    width: 25%;
  font-size: 9px !important;
  }
}
td.mat-cell:nth-child(3),
th.mat-header-cell:nth-child(3) {
  width: 30%;
  @include for-size(phone-only){
    width: 25%;
  font-size: 9px !important;
  }
}
td.mat-cell:nth-child(4),
th.mat-header-cell:nth-child(4) {
  padding-right: 15px;
  width: 15%;
  text-align: right;
  @include for-size(phone-only){
  font-size: 9px !important;
  }
}
td.mat-cell:nth-child(5),
th.mat-header-cell:nth-child(5) {
  padding-right: 15px;
  width: 15%;
  flex: 1;
  @include for-size(phone-only){
  font-size: 9px !important;
  }
}

th.mat-sort-header-sorted {
  color: black;
}

h4 {
  color: $primary-color;
}
.common-pagination{
display: flex;
justify-content: flex-end
}

  ::ng-deep .mat-raised-button{
    @include for-size(phone-only){
      padding: 0 10px !important;
    }

    @media screen and (min-width: 300px) and (max-width: 360px) {
      padding: 0 5px !important;
  }
}
.card-body img{
  @media screen and (min-width: 600px) and (max-width: 800px) {
    width:30px;
  }
  @include for-size(tablet-portrait-up){
    width: 6vw;
  }
}
td.mat-cell:first-of-type, td.mat-footer-cell:first-of-type, th.mat-header-cell:first-of-type {
  @include for-size(phone-only){
  padding-left: 5px;
  }
}
